Scribus > Installation and Setup

Scribus 1.5.4 AppImage not able to run on Arch Linux

(1/1)

apastuszak:
I downloaded the 1.5.4 AppImage, because none of the Scribus 1.5.4 packages in AUR will let you run it alongside 1.4.7, like you can on Windows.  I was hoping that the AppImage would let me do that.  Just to experiment.

When I run the AppIamage, it gives me this error immediately:

./scribus-1.5.4-linux-x86_64.AppImage: symbol lookup error: /usr/lib/libfontconfig.so.1: undefined symbol: FT_Done_MM_Var

Any idea what this is and how it might be fixed.

RodneyLee:
does 1.5.3 work?

a.l.e:
the appimage linked from the official scribus download page should work.

a brave user is working on fixing the recipe for the appimages and getting the "nightly" appimages  also to work again.

https://github.com/scribusproject/scribus/pull/98

"technically" he has solved all the issues and the appimage works again on my computer. but there are a few things that need to be cleaned up and i plan to work on it as soon as i come back from my holidays...

Navigation

[0] Message Index

Go to full version